Subject: bug#66109: 30.0.50; Tramp+Eshell - No such file or directory

From: Jim Porter <[email-masked]>
Date: Tue, 19 Sep 2023 11:09:08 -0700

On 9/19/2023 10:49 AM, jules wrote:
> There seems to be an issue when using tramp and eshell at the same time
> such that eshell is unable to find the binaries on the remote host and
> execute them. I can reproduce this on multiple hosts as well as with
> `emacs -Q`.
[snip]
> In GNU Emacs 30.0.50 (build 1, x86_64-pc-linux-gnu, X toolkit, cairo
> version 1.16.0, Xaw3d scroll bars)
> Repository revision: 30decd1d9777f44e614622ebfe5f35e719a265ca

Thanks for the report. This is already fixed on master (and the release 
branch) in 2af092741e54af6bf3bde62cff370853aab46745. Can you try 
updating to a more-recent revision?